[Index]

API Reference for device/mssecurity/Machine

Model ref.: device/mssecurity/Machine

The full URL would include the host-proxy name: https://[host-proxy].

Variables are enclosed in square brackets.

For a list of available UUIDs and their dot notations:
GET /api/v0/data/HierarchyNode/?format=json

Move

Task Call URL Parameters Payload
Move the instance with [pkid] to [target_hierarchy] POST /api/tool/DataMove/?model_type=device/mssecurity/Machine
  • hierarchy=[hierarchy]
  • context_hierarchy=[target_hierarchy]
  • format=json
  • (nowait=true)
{"hrefs": ["/api/device/mssecurity/Machine/[pkid]"]}
Bulk Move POST /api/tool/DataMove/?model_type=device/mssecurity/Machine
  • hierarchy==[hierarchy]
  • context_hierarchy=[target_hierarchy]
  • format=json
  • (nowait=true)
{"hrefs": ["/api/device/mssecurity/Machine/[pkid1]", "/api/device/mssecurity/Machine/[pkid2]",...]}

  • Move one or more model instances ([pkid1],[pkid2],...) from source hierarchy (pkid or dot notation) to target_hierarchy (pkid or dot notation). A move can only take place from a source hierarchy equal to or lower than target_hierarchy.
  • For a list of hierarchy pkids and their dot notation available from [hierarchy], use the GET call:
    GET http://[host-proxy]/api/device/mssecurity/Machine/?hierarchy=[hierarchy]&format=json&schema_rules=true

List

Task Call URL Parameters Response
List GET /api/device/mssecurity/Machine/
  • hierarchy=[hierarchy]
  • format=json
  • schema=true
The device/mssecurity/Machine schema and all instances as JSON.

(The list will return 0 to 3 device/mssecurity/Machine instances)

Purge

Task Call URL Parameters Response
Purge POST /api/device/mssecurity/Machine/purge/
  • hierarchy=[hierarchy]
  • format=json
 

Instance API Reference

Modify

Task Call URL Parameters Payload
Modify PUT /api/device/mssecurity/Machine/[pkid] hierarchy=[hierarchy] (For payload specification)

For Bulk modification, refer to the Bulk Modify section.

Move

Task Call URL Parameters Payload
Move POST /api/tool/DataMove/[pkid]/?model_type=device/mssecurity/Machine hierarchy=[hierarchy] If payload required:

Get

Task Call URL Parameters Response
Get GET /api/device/mssecurity/Machine/[pkid] hierarchy=[hierarchy] The device/mssecurity/Machine instance with [pkid].

Purge

Task Call URL Parameters Payload
Purge POST /api/device/mssecurity/Machine/[pkid]/purge hierarchy=[hierarchy] If payload required: